package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Refrreres_line;
import com.realnet.vpspack.Services.Refrreres_lineService ;












@RequestMapping(value = "/Refrreres_line")
 @CrossOrigin("*") 
@RestController
public class Refrreres_lineController {
	@Autowired
	private Refrreres_lineService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Refrreres_line")
		  public Refrreres_line Savedata(@RequestBody Refrreres_line data) {
		Refrreres_line save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Refrreres_line/{id}")
	public  Refrreres_line update(@RequestBody Refrreres_line data,@PathVariable Integer id ) {
		Refrreres_line update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Refrreres_line/getall/page")
	public Page<Refrreres_line> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Refrreres_line> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Refrreres_line")
	public List<Refrreres_line> getdetails() {
		 List<Refrreres_line> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Refrreres_line")
	public List<Refrreres_line> getallwioutsec() {
		 List<Refrreres_line> get = Service.getdetails();		
		return get;
}
@GetMapping("/Refrreres_line/{id}")
	public  Refrreres_line  getdetailsbyId(@PathVariable Integer id ) {
		Refrreres_line  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Refrreres_line/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}